/**
{file:
	{name: LmiTypesInline.h}
	{description: }
	{copyright:
		(c) 2005-2020 Vidyo, Inc.,
		433 Hackensack Avenue,
		Hackensack, NJ  07601.

		All rights reserved.

		The information contained herein is proprietary to Vidyo, Inc.
		and shall not be reproduced, copied (in whole or in part), adapted,
		modified, disseminated, transmitted, transcribed, stored in a retrieval
		system, or translated into any language in any form by any means
		without the express written consent of Vidyo, Inc.
		                  ***** CONFIDENTIAL *****
	}
}
*/
LMI_INLINE const char *LmiBoolToStrUpper(LmiBool x) { return x ? "TRUE" : "FALSE"; }
LMI_INLINE const char *LmiBoolToStrLower(LmiBool x) { return x ? "true" : "false"; }
LMI_INLINE const char *LmiBoolToStrMixed(LmiBool x) { return x ? "True" : "False"; }
LMI_INLINE const char *LmiBoolToStrInitial(LmiBool x) { return x ? "T" : "F"; }

LMI_INLINE const char *LmiBoolToYesNoStrUpper(LmiBool x) { return x ? "YES" : "NO"; }
LMI_INLINE const char *LmiBoolToYesNoStrLower(LmiBool x) { return x ? "yes" : "no"; }
LMI_INLINE const char *LmiBoolToYesNoStrMixed(LmiBool x) { return x ? "Yes" : "No"; }
LMI_INLINE const char *LmiBoolToYesNoStrInitial(LmiBool x) { return x ? "Y" : "N"; }

LMI_INLINE const char *LmiBoolToOnOffStrUpper(LmiBool x) { return x ? "ON" : "OFF"; }
LMI_INLINE const char *LmiBoolToOnOffStrLower(LmiBool x) { return x ? "on" : "off"; }
LMI_INLINE const char *LmiBoolToOnOffStrMixed(LmiBool x) { return x ? "On" : "Off"; }

LMI_INLINE const char *LmiBoolToEnabledStrUpper(LmiBool x) { return x ? "ENABLED" : "DISABLED"; }
LMI_INLINE const char *LmiBoolToEnabledStrLower(LmiBool x) { return x ? "enabled" : "disabled"; }
LMI_INLINE const char *LmiBoolToEnabledStrMixed(LmiBool x) { return x ? "Enabled" : "Disabled"; }

LMI_INLINE const char *LmiBoolToBitStr(LmiBool x) { return x ? "1" : "0"; }
